Bug 1698158 - [RFE] Activation Keys should support setting system purpose
Summary: [RFE] Activation Keys should support setting system purpose
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Activation Keys
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Swetha Seelam
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On: 1698528 1784127
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-09 17:40 UTC by Bryan Kearney
Modified: 2020-06-22 18:22 UTC (History)
8 users (show)

Fixed In Version: candlepin-2.7.1,katello-3.13.0, candlepin-2.9.20-1
Doc Type: Enhancement
Doc Text:
You can now set System Purpose attributes in an activation key, so that hosts registered using that activation key have their System Purpose set automatically.
Clone Of:
: 1698528 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:24:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24180 Normal Closed [UI] Support System Purpose on Activation Keys 2020-09-16 07:22:32 UTC
Foreman Issue Tracker 27050 Normal Closed Extend Activation Keys to support System Purpose 2020-09-16 07:22:29 UTC
Foreman Issue Tracker 27230 Normal Closed Hammer actions for System Purpose on Activation Keys 2020-09-16 07:22:30 UTC
Red Hat Bugzilla 1775361 high CLOSED system purpose attributes are not set on the system when you register the system with an activation key with auto-attach... 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:22 UTC

Description Bryan Kearney 2019-04-09 17:40:08 UTC
[RFE] Activation Keys should support setting system purpose

Comment 5 Perry Gagne 2019-11-25 16:17:37 UTC
Cole is the new Component owner for Activation Keys, assigning to him. 

Cole, let me know if you have any questions on these or need help verifying them.

Comment 9 Bryan Kearney 2019-12-02 21:01:15 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 10 Bryan Kearney 2019-12-02 23:01:13 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 11 Bryan Kearney 2019-12-03 01:01:13 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 12 Bryan Kearney 2019-12-03 03:01:16 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 13 Bryan Kearney 2019-12-03 05:01:20 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 14 Bryan Kearney 2019-12-03 07:01:14 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 15 Bryan Kearney 2019-12-03 09:01:29 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 16 Bryan Kearney 2019-12-03 11:01:25 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 17 Bryan Kearney 2019-12-03 13:01:22 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 18 Bryan Kearney 2019-12-03 15:01:25 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 19 Bryan Kearney 2019-12-03 17:01:27 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 20 Bryan Kearney 2019-12-03 19:01:18 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 21 Bryan Kearney 2019-12-03 20:17:27 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 22 Bryan Kearney 2019-12-03 20:17:51 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 23 Bryan Kearney 2019-12-03 20:21:18 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 24 Bryan Kearney 2019-12-03 20:22:34 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 25 Bryan Kearney 2019-12-03 20:24:48 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 26 Bryan Kearney 2019-12-03 20:25:36 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 27 Bryan Kearney 2019-12-03 20:27:38 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 28 Bryan Kearney 2019-12-03 20:28:07 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 29 Bryan Kearney 2019-12-03 20:29:00 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 30 Bryan Kearney 2019-12-03 20:29:42 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 31 Bryan Kearney 2019-12-03 20:30:50 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 32 Bryan Kearney 2019-12-03 21:01:16 UTC
Upstream bug assigned to sseelaml@redhat.com

Comment 36 Brad Buckingham 2019-12-17 15:23:18 UTC
Moving to MODIFIED as a new build is listed in the Fixed In Version.

Comment 38 Cole Higgins 2020-01-15 20:56:33 UTC
Verified in 6.7 snap 8

Steps to reproduce the failure.
1. Create activation key and set System Purpose. 
2. Register host with new activation key. 
3. Check host to see System Purpose is "not specified".

System purpose is carried over into the host when registering with an activation key.  

Additionally, any System Purpose changes get updated when a new host is registered.

Comment 42 errata-xmlrpc 2020-04-14 13:24:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.